#include <stdio.h>
#include <descrip.h>
#include "global.h"
#include "constants.h"
#include "window.h"

extern int quit, sys$getmsg(), get_username(char *, int), new_send();
extern server_ptr gsrv;

void startup(srv, pass)
  server_ptr srv;
  char *pass;
{
  char username[MAXLEN];
  char accountname[MAXLEN];

  (void)get_username(username, FALSE);
  username[8] = 0;
  if (!get_logical("IRCNAME", accountname, FALSE))
    (void)get_username(accountname, TRUE);
  if (pass && *pass) new_send(srv, "PASS %s\n", pass);
  new_send(srv, "USER %s 1 1 :%s\n", username, accountname);
  new_send(srv, "NICK %s\n", srv->nick);
}

void my_sig(num, string)
  unsigned num;
  char *string;
{
  char ms[256];
  struct dsc$descriptor_s ms_d;
  unsigned status;
  unsigned short len = 0;

  ms_d.dsc$w_length = sizeof(ms);
  ms_d.dsc$b_dtype = DSC$K_DTYPE_T;
  ms_d.dsc$b_class = DSC$K_CLASS_S;
  ms_d.dsc$a_pointer = ms;
  status = sys$getmsg(num, &len, &ms_d, 0, 0);
  if (!(status&1))
    say("Could not get strerror %d", status);
  ms[(int)len] = 0;
  say("(%d)%s: %s", num, string, ms);
}

